Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterGroupManager

java.lang.Object
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterGroupManager

    public class RegisterGroupManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RegisterGroupManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteGroup​(int id)` |
  `void` | `deleteGroupTaskTypes​(int groupId)` |
  `RegisterGroup` | `getGroupById​(int id)` |
  `java.util.List<RegisterGroup>` | `getGroupList()` |
  `java.util.List<RegisterGroup>` | `getGroupList​(int taskTypeId)` |
  `java.util.Map<java.lang.Integer,​RegisterGroup>` | `getGroupMap()` |
  `java.util.List<java.lang.Integer>` | `getGroupTaskTypes​(int groupId)` |
  `void` | `updateGroup​(java.lang.String id, RegisterGroup value)` |
  `void` | `updateGroupTaskTypes​(int groupId, java.util.List<java.lang.Integer> types)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterGroupManager

    public RegisterGroupManager​(java.sql.Connection con)

- ## Method Details

  - ### deleteGroup

    public void deleteGroup​(int id)

  - ### updateGroup

    public void updateGroup​(java.lang.String id, RegisterGroup value)

  - ### getGroupById

    public RegisterGroup getGroupById​(int id)

  - ### getGroupList

    public java.util.List<RegisterGroup> getGroupList()

  - ### getGroupList

    public java.util.List<RegisterGroup> getGroupList​(int taskTypeId)

  - ### updateGroupTaskTypes

    public void updateGroupTaskTypes​(int groupId, java.util.List<java.lang.Integer> types)

  - ### deleteGroupTaskTypes

    public void deleteGroupTaskTypes​(int groupId)

  - ### getGroupTaskTypes

    public java.util.List<java.lang.Integer> getGroupTaskTypes​(int groupId)

  - ### getGroupMap

    public java.util.Map<java.lang.Integer,​RegisterGroup> getGroupMap()